| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::Position Class Referencefinal

`#include <src/JobOptionsSvc/Position.h>`

Collaboration diagram for Gaudi::Parsers::Position:
[legend]

## Public Member Functions
| Position ()=default
| Position (std::string filename, unsigned line, unsigned column)
const std::string & | filename () const
unsigned | line () const
unsigned | column () const
void | set_filename (std::string filename)
std::string | ToString () const
bool | Exists () const

## Private Attributes
std::string | filename_
unsigned | line_ = 0
unsigned | column_ = 0

## Detailed Description

Definition at line 13 of file Position.h.

## Constructor & Destructor Documentation

## ◆ Position() [1/2]

Gaudi::Parsers::Position::Position | ( |  | ) |
| default

## ◆ Position() [2/2]

Gaudi::Parsers::Position::Position | ( | std::string | filename,
|  | unsigned | line,
|  | unsigned | column
| ) |  |
| inline

Definition at line 16 of file Position.h.

17 : filename_( std::move( filename ) ), line_( line ), column_( column ) {}
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:28
Gaudi::Parsers::Position::filename
const std::string & filename() const
Definition: Position.h:18
Gaudi::Parsers::Position::column
unsigned column() const
Definition: Position.h:20
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:27
std::move
T move(T... args)
Gaudi::Parsers::Position::line
unsigned line() const
Definition: Position.h:19
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:26

## Member Function Documentation

## ◆ column()

unsigned Gaudi::Parsers::Position::column | ( |  | ) | const
| inline

Definition at line 20 of file Position.h.

20 { return column_; }
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:28

## ◆ Exists()

bool Gaudi::Parsers::Position::Exists | ( |  | ) | const
| inline

Definition at line 23 of file Position.h.

23 { return line_ != 0; }
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:27

## ◆ filename()

const std::string& Gaudi::Parsers::Position::filename | ( |  | ) | const
| inline

Definition at line 18 of file Position.h.

18 { return filename_; }
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:26

## ◆ line()

unsigned Gaudi::Parsers::Position::line | ( |  | ) | const
| inline

Definition at line 19 of file Position.h.

19 { return line_; }
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:27

## ◆ set_filename()

void Gaudi::Parsers::Position::set_filename | ( | std::string | filename | ) |
| inline

Definition at line 21 of file Position.h.

21 { filename_ = std::move( filename ); }
Gaudi::Parsers::Position::filename
const std::string & filename() const
Definition: Position.h:18
std::move
T move(T... args)
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:26

## ◆ ToString()

std::string Gaudi::Parsers::Position::ToString | ( |  | ) | const

Definition at line 13 of file Position.cpp.

13 {
14 return str( boost::format( "%1%: (%2%, %3%)" ) % filename_ % line_ % column_ );
15 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:109
Gaudi::Parsers::Position::column_
unsigned column_
Definition: Position.h:28
Gaudi::Parsers::Position::line_
unsigned line_
Definition: Position.h:27
Gaudi::Parsers::Position::filename_
std::string filename_
Definition: Position.h:26

## Member Data Documentation

## ◆ column_

unsigned Gaudi::Parsers::Position::column_ = 0
| private

Definition at line 28 of file Position.h.

## ◆ filename_

std::string Gaudi::Parsers::Position::filename_
| private

Definition at line 26 of file Position.h.

## ◆ line_

unsigned Gaudi::Parsers::Position::line_ = 0
| private

Definition at line 27 of file Position.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Position.h
- GaudiCoreSvc/src/JobOptionsSvc/Position.cpp